package de.thdeg.greiner.superpangworld.graphics.immovable;

import de.thdeg.greiner.superpangworld.gameview.GameView;
import de.thdeg.greiner.superpangworld.graphics.base.GameObject;

import java.util.Random;

/**
 * The background for the game.
 */
public class Background extends GameObject {


    private final String pixelArt;

    /**
     * Create a background object.
     *
     * @param gameView the gameView
     */
    public Background(GameView gameView)  {
        super(gameView);
        this.position.setTo(0,0);
        size = 1;
        rotation = 0;

        Random r = new Random();
        StringBuilder sb = new StringBuilder();
        for(int h=0;h<450;h++){
            for(int i=0;i<960;i++){
                if(r.nextBoolean()){
                    sb.append("y");
                }else{
                    sb.append("o");
                }
            }
            sb.append("\n");
        }
        pixelArt = sb.toString();
    }

    @Override
    public void addToCanvas() {
        gameView.addBlockImageToCanvas(pixelArt,position.x,position.y,size, rotation);
    }
}
