package de.thdeg.greiner.superpangworld.graphics.moveable;

import de.thdeg.greiner.superpangworld.gameview.GameView;
import de.thdeg.greiner.superpangworld.graphics.base.Bubble;
import de.thdeg.greiner.superpangworld.graphics.base.GameObject;

/**
 * A harpoon which can be fired upwards by the player.
 */
public class Harpoon extends GameObject {

    private final static String HARPOON =
                    "    B    \n"+
                    "   BBB   \n"+
                    "  kkkkk \n"+
                    " k kkk k\n"+
                    " k kkk k\n";

    /**
     * Create a harpoon with default values
     * @param gameView the {@link GameView} to display the bubble
     */
    public Harpoon(GameView gameView){
        super(gameView);
        speedInPixel = 1;
        size = 3;
        width = 11;
        height = 11;
        rotation = 0;
        getPosition().setTo(300,300);
    }

    /**
     * Zeichnet die Blase auf die {@link GameView}.
     */
    @Override
    public void addToCanvas(){
        gameView.addBlockImageToCanvas(HARPOON, getPosition().x, getPosition().y,size, rotation);
    }

    @Override
    public String toString() {
        return "Harpoon:" +getPosition().toString();
    }

    /**
     * Bewegt die Harpune einen Schritt weiter.
     */
    @Override
    public void updatePosition(){
        getPosition().up(speedInPixel);
        if(getPosition().y < 0){
            getPosition().setTo(300,300);
        }
    }
}
